package com.yuda.hainafacetofaceai.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.yuda.hainafacetofaceai.constant.CosConstant;
import com.yuda.hainafacetofaceai.entity.CandidateExam;
import com.yuda.hainafacetofaceai.util.CosUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.jdbc.core.BeanPropertyRowMapper;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;

@RestController
@RequestMapping("/publicApi")
public class PublicFunctionController {
    @Autowired
    private CosUtil cosUtil;
    @Autowired
    private JdbcTemplate DBOperator;
    @RequestMapping("/getWebCosSign")
    public ResponseEntity getWebCosTempSign() throws Exception {
        String tempSignBody = cosUtil.getSignatureForWeb(CosConstant.COS_BUCKET,CosConstant.COS_ENDPOINT);
        JSONObject jsonObject = JSON.parseObject(tempSignBody);
        return ResponseEntity.ok(jsonObject);
    }
    @RequestMapping("/getProcessStatus/{examConnectCode}/{zkzNum}")
    public ResponseEntity getStatusFaceHaiNa(@PathVariable String examConnectCode,@PathVariable String zkzNum) {
        System.out.println("examConnectCode:"+examConnectCode+"zkzNum:"+zkzNum);
        try{
            CandidateExam candidateExam = DBOperator.queryForObject("select status_commitment,status from candidate_exam where zkz_num = ? and exam_connect_code =?",new BeanPropertyRowMapper<>(CandidateExam.class),zkzNum,examConnectCode);
            return ResponseEntity.ok(new JSONObject(new HashMap<String,Object>(){{
                put("code",200);
                put("message","查询成功");
                put("data",new JSONObject(){{
                    put("status",candidateExam.getStatus());
                    put("status_commitment",candidateExam.getStatusCommitment());
                }});
            }}));
        }catch (Exception e){
            e.printStackTrace();
            return ResponseEntity.ok(new JSONObject(new HashMap<String,Object>(){{
                put("code",200);
                put("message","该面试者状态有误");
            }}));
        }
    }
}
